using System;
using System.Collections.Generic;
using System.Text;
using System.Threading.Tasks;
using PhilExampleCrawler.Common.Models;

namespace PhilExample.Interfaces
{
    internal interface IPhExStorage
    {
        Task<bool> SaveCategoriesAsync(IEnumerable<Category> cats);
        Task<IEnumerable<Category>> GetCategoriesAsync();
        Task<bool> SaveRadiiAsync(IEnumerable<Category> radii);
        Task<IEnumerable<Category>> GetRadiiAsync();
    }
}
